<?php
/**
 * Various actions
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Redirects to post or page if it's an attachment page
 */
function diagnoseo_attachment_redirect() {
	if ( is_attachment() && get_option( 'diagnoseo_redirect_attachment' ) ) {
		global $post;
		$attachment_id = get_post_thumbnail_id( $post->ID );
		$url           = wp_get_attachment_image_src( $attachment_id, 'full' );
		wp_safe_redirect( $url[0] );
		exit;
	}
}
if ( get_option( 'wp_attachment_pages_enabled' ) ) {
	add_action( 'wp_head', 'diagnoseo_attachment_redirect' );
}
