<?php
/**
 * Various actions in admin
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Add action links in the plugin list in Admin
 *
 * @param array $links Action links.
 */
function diagnoseo_plugin_action_links( $links ) {
	$links = array_merge(
		array(
			'<a href="https://diagnoseo.com/wordpress-seo-plugin/?utm_source=wp&utm_medium=link&utm_campaign=plugins_page"><b>' . __( 'Get Pro', 'diagnoseo' ) . '</b></a>',
			'<a href="https://diagnoseo.com/wordpress-seo-plugin/#faq?utm_source=wp&utm_medium=link&utm_campaign=plugins_page">' . __( 'FAQ', 'diagnoseo' ) . '</a>',
			'<a href="admin.php?page=diagnoseo-settings">' . __( 'Settings', 'diagnoseo' ) . '</a>',
		),
		$links
	);
	return $links;
}
add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'diagnoseo_plugin_action_links' );

/**
 * Runs the SEO plugin detector
 */
function diagnoseo_detect_seo_plugins() {
	$detector = new Diagnoseo_PluginDetector();
}
add_action( 'plugins_loaded', 'diagnoseo_detect_seo_plugins' );
