<?php
/**
 * Redirection settings
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Redirection settings page
 */
class Diagnoseo_RedirectionSettings {

	/**
	 * Hooks actions on object creation
	 */
	public function __construct() {
		global $pagenow;
		if ( 'admin.php' === $pagenow || 'options.php' === $pagenow ) {
			add_action( 'admin_init', array( $this, 'register_settings' ) );
		}
	}

	/**
	 * Renders general settings page content
	 */
	public function render() {
		$post_types = Diagnoseo_SettingsHelper::get_post_types();
		?>
		<div class="wrap">
			<h1><?php esc_html_e( 'Redirection settings', 'diagnoseo' ); ?></h1>
			<?php
			if ( ! function_exists( 'diagnoseo_pro_init' ) ) :
				?>
				<p><a href="https://diagnoseo.com/wordpress-seo-plugin/?utm_source=wp&utm_medium=link&utm_campaign=available_in_pro" target="_blank" rel="noreferrer noopener"><?php esc_html_e( 'Available in Pro', 'diagnoseo' ); ?></a></p>
				<?php
			endif;
			?>
			<?php do_action( 'diagnoseo_render_redirection_options' ); ?>
		</div>
		<?php
	}

	/**
	 * Registers general options
	 */
	public function register_settings() {
		do_action( 'diagnoseo_register_redirection_options' );
	}
}
