<?php
/**
 * Custom scripts in different parts of document
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}
/**
 * Custom script embedding
 */
class Diagnoseo_Scripts {

	/**
	 * Adds actions on object creation
	 */
	public function __construct() {
		add_action( 'wp_head', array( $this, 'embed_header_scripts' ), 99 );
		add_action( 'wp_body_open', array( $this, 'embed_body_scripts' ) );
		add_action( 'wp_footer', array( $this, 'embed_footer_scripts' ), 99 );
	}

	/**
	 * Prints header scripts
	 */
	public function embed_header_scripts() {
		$script = get_option( 'diagnoseo_header_scripts' );
		if ( ! empty( $script ) ) {
			echo $script; //phpcs:ignore
		}
	}
	/**
	 * Prints body scripts
	 */
	public function embed_body_scripts() {
		$script = get_option( 'diagnoseo_body_scripts' );
		if ( ! empty( $script ) ) {
			echo $script; //phpcs:ignore
		}
	}

	/**
	 * Prints footer scripts
	 */
	public function embed_footer_scripts() {
		$script = get_option( 'diagnoseo_footer_scripts' );
		if ( ! empty( $script ) ) {
			echo $script; //phpcs:ignore
		}
	}
}
