<?php
/**
 * Plugin settings utilities
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}
/**
 * Plugin settings utilities
 */
class Diagnoseo_SettingsHelper {

	/**
	 * Supported Schema types
	 *
	 * @var array $post_schema_types
	 */
	public static $post_schema_types = array(
		'BlogPosting',
		'Article',
		'NewsArticle',
		'WebPage',
		'AboutPage',
		'FAQPage',
		'ContactPage',
		'Review',
		'Service',
		'Product',
		'Course',
		'Recipe',
		'Person',
		'JobPosting',
		'SoftwareApplication',
		'Book',
		'Event',
		'ImageObject',
		'VideoObject',
	);

	/**
	 * Retrieves currently registered post types
	 */
	public static function get_post_types() {

		$types = get_post_types( array(), 'objects' );
		foreach ( $types as $k => $type ) {
			if ( ! is_post_type_viewable( $type ) ) {
				unset( $types[ $k ] );
			}
		}

		return $types;
	}

}
