<?php
/**
 * Link control for Gutenberg
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Loading resources for the link control
 */
class Diagnoseo_Formats {
	/**
	 * Fired upon object creation
	 */
	public function __construct() {
		add_action( 'plugins_loaded', array( $this, 'setup' ) );
	}

	/**
	 * Loading assets
	 */
	public function setup() {
		add_action( 'enqueue_block_editor_assets', array( $this, 'enqueue_block_editor_assets' ), 10 );
	}

	/**
	 * Enqueue Block Editor Assets
	 *
	 * @throws Error Warn if asset dependencies do not exist.
	 */
	public function enqueue_block_editor_assets() {
		$debug_suffix = WP_DEBUG ? '?v=' . time() : '';

		$asset_path = DIAGNOSEO_PLUGIN_PATH . 'js/formats/build/index.asset.php' . $debug_suffix;

		wp_enqueue_script(
			'diagnoseo-formats-scripts',
			DIAGNOSEO_PLUGIN_URL . 'js/formats/build/index.js' . $debug_suffix,
			array( 'wp-block-editor', 'wp-components', 'wp-element', 'wp-i18n', 'wp-primitives', 'wp-rich-text' ),
			1,
			false
		);

		wp_set_script_translations(
			'diagnoseo-formats-scripts',
			'formats',
			DIAGNOSEO_PLUGIN_URL . '\languages'
		);
	}
}

$link_control = new Diagnoseo_Formats();
