<?php
/**
 * Various actions in admin
 *
 * @package DiagnoSEO
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}


/**
 * Enqueues sidebar scripts
 */
function diagnoseo_enqueue_sidebar() {

	$debug_suffix = WP_DEBUG ? '?v=' . time() : '';

	wp_register_script(
		'diagnoseo-editor',
		DIAGNOSEO_PLUGIN_URL . 'js/diagnoseo-editor.min.js' . $debug_suffix,
		array( 'wp-plugins', 'wp-edit-post', 'wp-element', 'wp-components', 'wp-data', 'wp-compose', 'wp-i18n', 'wp-core-data' ),
		1,
		true
	);

	wp_enqueue_script(
		'diagnoseo-editor'
	);
	$ok = wp_localize_script(
		'diagnoseo-editor',
		'diagnoseo_settings',
		array(
			'api_key' => get_option( 'diagnoseo_api_key' ),
			'locale'  => get_locale(),
		)
	);
}

add_action( 'enqueue_block_editor_assets', 'diagnoseo_enqueue_sidebar' );
